Observation Instance
Get a list of Observation objects.
### Available end points:
- `/observations/` - Will list all Results in the database
- `/observations.json` - Will return all Results in json format. This can
also be achieved by using the accept header. `application/json`
- `/observations/<object_id>/` - Returns Results object with that id
### Available Methods:
- `GET`
- `HEAD`
### Available filters:
- `title`
- `uuid`
- `keywords`
- `status`
- `result_field`
- `discoveryKeywords`
- `updateFrequency`
- `nonGeographicFlag`
- `publicationState`
- `permissions`
### How to use filters:
These filters can be used like django query filters using __ for related model relationships.
- `/observations/?uuid=d594d53df2612bbd89c2e0e770b5c1a0`
- `/observations/?status=completed`
- `/observations/?results_field__dataPath__startswith=/neodc/esacci`
- `/observations/?discoveryKeywords__name=ESACCI`
- `/observations/?nonGeographicFlag=True`
Filters can be stacked to build an 'AND' relationship. E.g.
- `/observations/?publicationState__in=published,citable&nonGeographicFlag=True`
- `/observations/?publicationState__in=published,citable&discoveryKeyword__name=NDGO0003`
GET /api/v2/observations/14305/?format=api
{ "ob_id": 14305, "uuid": "7111f2f65d9f4dff9f4ac28b2e28f284", "title": "CLOUDMAP2: Rutherford Appleton Laboratory (RAL) cloud radar products", "abstract": "The CLOUDMAP 2 project cloud products include cloud top pressure, height, phase, fraction, effective radius and optical depth derived using a variational analysis method applied to data from the Along Track Scanning Radiometer-2 (ATSR-2) over Europe. These data are the result of a contract to Eumetsat for application to the Spinning Enhanced Visible Infra-Red Imager (SEVIRI) and partly under the European Framework 5 CLOUMAP2 project.\r\n\r\nThis dataset contains Rutherford Appleton Laboratory (RAL) cloud radar products.", "keywords": "Clouds, Atmosphere, cloudmap", "publicationState": "published", "dataPublishedTime": "2007-02-27T16:16:32", "doiPublishedTime": null, "updateFrequency": "notPlanned", "status": "completed", "result_field": { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/14306/?format=api", "dataPath": "/badc/cloudmap/data/ral/gb-active", "oldDataPath": [], "storageLocation": "internal", "storageStatus": "online", "volume": 9856648411, "numberOfFiles": 36995, "fileFormat": "Data are CDF formatted" }, "timePeriod": "https://api.catalogue.ceda.ac.uk/api/v2/times/3775/?format=api", "geographicExtent": "https://api.catalogue.ceda.ac.uk/api/v2/bboxes/59/?format=api", "nonGeographicFlag": false, "phenomena": [ "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21919/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/21962/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22345/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22346/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/22865/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23270/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23271/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23272/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/23273/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25858/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25885/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/phenomona/25903/?format=api" ], "dataLineage": "Data were collected by the Spinning Enhanced Visible Infra-Red Imager (SEVIRI), the Along Track Scanning Radiometer-2 (ATSR-2) and Meteosat Second Generation Observations. The data were passed on to the BADC for archiving. ", "removedDataTime": null, "removedDataReason": "", "language": "English", "identifier_set": [], "projects": [], "observationcollection_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/observationcollections/5561/?format=api" ], "responsiblepartyinfo_set": [ "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55456/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55454/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55455/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55457/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55458/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55459/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55460/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55453/?format=api", "https://api.catalogue.ceda.ac.uk/api/v2/rpis/55461/?format=api" ], "procedureAcquisition": "https://api.catalogue.ceda.ac.uk/api/v2/acquisitions/14307/?format=api", "procedureCompositeProcess": null, "procedureComputation": null, "permissions": [ { "ob_id": "https://api.catalogue.ceda.ac.uk/api/v2/observations/2526/?format=api", "useLimitation": null, "accessConstraints": null, "accessCategory": "public", "accessRoles": null, "label": "public: None group", "licenceURL": "http://www.nationalarchives.gov.uk/doc/open-government-licence/version/3/", "licenceClassifications": "any" } ], "discoveryKeywords": [ { "ob_id": 1138, "name": "NDGO0003" } ] }